/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ToolActionDescription } from "./ToolActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ToolActionRadioDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ToolActionRadioDescription, _super);
    function ToolActionRadioDescription() {
        var _this = _super.call(this) || this;
        _this.d3 = null;
        _this.dv = false;
        _this.dw = false;
        _this.d6 = null;
        _this.d1 = null;
        _this.d4 = null;
        _this.dz = null;
        _this.d7 = null;
        _this.d2 = null;
        _this.d5 = null;
        _this.d0 = null;
        return _this;
    }
    ToolActionRadioDescription.prototype.get_type = function () {
        return "ToolActionRadio";
    };
    Object.defineProperty(ToolActionRadioDescription.prototype, "channel", {
        get: function () {
            return this.d3;
        },
        set: function (a) {
            this.d3 = a;
            this.g("Channel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "isChecked", {
        get: function () {
            return this.dv;
        },
        set: function (a) {
            this.dv = a;
            this.g("IsChecked");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "isManual", {
        get: function () {
            return this.dw;
        },
        set: function (a) {
            this.dw = a;
            this.g("IsManual");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "uncheckedBackgroundColor", {
        get: function () {
            return this.d6;
        },
        set: function (a) {
            this.d6 = a;
            this.g("UncheckedBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "actualUncheckedBackgroundColor", {
        get: function () {
            return this.d1;
        },
        set: function (a) {
            this.d1 = a;
            this.g("ActualUncheckedBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "checkedBackgroundColor", {
        get: function () {
            return this.d4;
        },
        set: function (a) {
            this.d4 = a;
            this.g("CheckedBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "actualCheckedBackgroundColor", {
        get: function () {
            return this.dz;
        },
        set: function (a) {
            this.dz = a;
            this.g("ActualCheckedBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "uncheckedBorderColor", {
        get: function () {
            return this.d7;
        },
        set: function (a) {
            this.d7 = a;
            this.g("UncheckedBorderColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "actualUncheckedBorderColor", {
        get: function () {
            return this.d2;
        },
        set: function (a) {
            this.d2 = a;
            this.g("ActualUncheckedBorderColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "checkedBorderColor", {
        get: function () {
            return this.d5;
        },
        set: function (a) {
            this.d5 = a;
            this.g("CheckedBorderColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionRadioDescription.prototype, "actualCheckedBorderColor", {
        get: function () {
            return this.d0;
        },
        set: function (a) {
            this.d0 = a;
            this.g("ActualCheckedBorderColor");
        },
        enumerable: false,
        configurable: true
    });
    ToolActionRadioDescription.$t = markType(ToolActionRadioDescription, 'ToolActionRadioDescription', ToolActionDescription.$);
    return ToolActionRadioDescription;
}(ToolActionDescription));
export { ToolActionRadioDescription };
